%def_disable static

Name: libcdaudio
Version: 0.99.10
Release: alt1

Summary: A library of functions for controlling audio CD-ROM players
License: GPL
Group: System/Libraries
Url: http://cdcd.undergrid.net/libcdaudio/

Source: http://www.linuxberg.ps.pl/files/console/dev/%name-%version.tar.gz

BuildPreReq: kernel-headers-std

# Automatically added by buildreq on Tue Apr 06 2004
BuildRequires: gcc-c++ gcc-g77 libstdc++-devel

%description
libcdaudio is a library designed to provide functions to control
operation of a CD-ROM when playing audio CDs. It also contains
functions for CDDB and CD Index lookup.

%package devel
Summary: Header files and libraries for libcdaudio development
Group: Development/C
Requires: %name = %version-%release

%description devel
The libcdaudio-devel package provides the header files and libraries
needed for libcdaudio development.

%package devel-static
Summary: libcdaudio static library
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
The libcdaudio-static package provides static library needed for
libcdaudio development.

%prep
%setup -q

%build
%configure \
	%{subst_enable static}

%make_build

%install
%make_install DESTDIR=%buildroot install

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%_libdir/*.so.*

%files devel
%_bindir/*-config
%_includedir/*
%_libdir/*.so
%_datadir/aclocal/*
%_libdir/pkgconfig/*

%if_enabled static
%files devel-static
%_libdir/*.a
%endif

%changelog
* Tue Apr 06 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.99.10-alt1
- 0.99.10

* Fri Nov 28 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.99.4-alt2
- do not package .la files.

* Wed Apr 09 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.99.4-alt1
- Adopted for Sisyphus PLD package. Thanks PLD Team.

